import 'package:circular_splash_transition/transition.dart';
import 'package:flutter/material.dart';

class CircularSplashRoute extends PageRouteBuilder {
  final Widget widget;
  final Color color;
  final Duration duration;

  @override
  Duration get transitionDuration => duration;

  CircularSplashRoute(
      {@required this.widget,
        this.color = Colors.white,
        this.duration = const Duration(milliseconds: 300)})
      : assert(color != null),
        assert(widget != null),
        super(
        pageBuilder: (BuildContext context, Animation<double> animation,
            Animation<double> secondaryAnimation) {
          return widget;
        },
        transitionsBuilder: (BuildContext context,
            Animation<double> animation,
            Animation<double> secondaryAnimation,
            Widget child) {
          return Transition(
            color: color,
            animation: animation,
            widget: widget,
            context: context,
          );
        },
      );
}